<ion-header></ion-header>

<ion-content>
    <div class="ms-mob-body ms-home">        
        <div class="row ms-home-body">
            <div class="ms-home-body-content ms-full-width">
                <p class="ms-screen-header">
                    let's plan your new milestone.
                </p>
                <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
                    <label>what do you wanna call this milestones?</label>
                    <input class="form-control ms-form" formControlName="milestone_title" required type="text" />
                    <div class="validation-errors">
                        <ng-container *ngFor="let validation of validation_messages.milestone_title">
                            <div class="error-message" *ngIf="registerForm.get('milestone_title').hasError(validation.type) && (registerForm.get('milestone_title').dirty || registerForm.get('milestone_title').touched)">
                            {{ validation.message }}
                            </div>
                        </ng-container>
                    </div>

                    <label>this is mainly ...</label>
                    <ion-select class="form-control ms-form no-gutter" formControlName="milestone_type">
                        <ion-select-option value="birthday">a birthday celebration</ion-select-option>
                        <ion-select-option value="wedding">a wedding</ion-select-option>
                        <ion-select-option value="anniversary">an anniversary</ion-select-option>
                        <ion-select-option value="corporate">a corporate event</ion-select-option>
                        <ion-select-option value="custom">let me decide what this is</ion-select-option>
                    </ion-select>
                    <br>
                    <div class="validation-errors">
                        <ng-container *ngFor="let validation of validation_messages.milestone_type">
                            <div class="error-message" *ngIf="registerForm.get('milestone_type').hasError(validation.type) && (registerForm.get('milestone_type').dirty || registerForm.get('milestone_type').touched)">
                            {{ validation.message }}
                            </div>
                        </ng-container>
                    </div>
                    <label>in which city?</label>
                    <ion-select class="form-control ms-form no-gutter" formControlName="milestone_city" interface="alert">
                        <ion-select-option value="CEBU_CITY"> cebu</ion-select-option>
                        <ion-select-option value="MANDAUE_CITY"> mandaue</ion-select-option>
                        <ion-select-option value="CONSOLACION_CITY"> consolacion</ion-select-option>
                        <ion-select-option value="LILOAN_CITY"> liloan</ion-select-option>
                        <ion-select-option value="DANAO_CITY"> danao</ion-select-option>
                        <ion-select-option value="LAPU_LAPU_CITY"> lapu-lapu</ion-select-option>
                        <ion-select-option value="TALISAY_CITY"> talisay</ion-select-option>
                        <ion-select-option value="MINGLANILLA_CITY"> minglanilla</ion-select-option>
                        <ion-select-option value="NAGA_CITY"> naga</ion-select-option>
                        <ion-select-option value="CARCAR_CITY"> carcar</ion-select-option>
                        <ion-select-option value="DAVAO_CITY">davao city</ion-select-option>
                    </ion-select>
                    <br>
                    <div class="validation-errors">
                        <ng-container *ngFor="let validation of validation_messages.milestone_type">
                            <div class="error-message" *ngIf="registerForm.get('milestone_city').hasError(validation.type) && (registerForm.get('milestone_city').dirty || registerForm.get('milestone_city').touched)">
                            {{ validation.message }}
                            </div>
                        </ng-container>
                    </div>

                    <label>your estimated number of guests</label>
                    <input currencyMask [options]="numOpt" class="form-control ms-form" formControlName="milestone_guestspax" required />
                    <div class="validation-errors">
                        <ng-container *ngFor="let validation of validation_messages.milestone_guestspax">
                            <div class="error-message" *ngIf="registerForm.get('milestone_guestspax').hasError(validation.type) && (registerForm.get('milestone_guestspax').dirty || registerForm.get('milestone_guestspax').touched)">
                            {{ validation.message }}
                            </div>
                        </ng-container>
                    </div>

                    <label>your estimated budget</label>
                    <input currencyMask [options]="currOpt"class="form-control ms-form" formControlName="milestone_budget" required />
                    <div class="validation-errors">
                        <ng-container *ngFor="let validation of validation_messages.milestone_budget">
                            <div class="error-message" *ngIf="registerForm.get('milestone_budget').hasError(validation.type) && (registerForm.get('milestone_budget').dirty || registerForm.get('milestone_budget').touched)">
                            {{ validation.message }}
                            </div>
                        </ng-container>
                    </div>

                    <label>when will this happen?</label>
                    <ion-datetime class="date-time-picker" formControlName="milestone_date" displayFormat="MMM DD, YYYY h:mm a"  min="2020-01-01" max="2030-12-31" >
                    </ion-datetime>
                    <br>
                    <ion-row>
                        <div class="validation-errors">
                            <ng-container *ngFor="let validation of validation_messages.milestone_date">
                                <div class="error-message" *ngIf="registerForm.get('milestone_date').hasError(validation.type) && (registerForm.get('milestone_date').dirty || registerForm.get('milestone_date').touched)">
                                {{ validation.message }}
                                </div>
                            </ng-container>
                        </div>
                    </ion-row>
                </form>
            </div>
        </div>
    </div>
</ion-content>
<ion-footer>
    <div class="ms-home-bottombar ms-scheme-bottombar">
        <div class="row ms-bottom-toolbar">
            <div class="col-sm ms-bottom-toolbar-tool">
                <span>
                    <a class="ms-bottombar-saves" (click)="navigateBack('/tabs')">
                        <i class="ms-Icon ms-Icon--Home"></i>
                    </a>
                </span>
                <span><!-- space holder --></span>
                <span>
                    <a class="ms-bottombar-saves" (click)="onSubmit(registerForm.value)">
                        <i class="ms-Icon ms-Icon--Accept"></i>
                    </a>
                </span>
            </div>
        </div>
    </div>
</ion-footer>
